<?php

// Load pp_ed.admin.inc so pp_ed_partial_cache_clear() exists
module_load_include('inc', 'pp_ed', 'pp_ed.admin');

function pp_img_extract_settings_form() {
  $settings = pp_img_extract_get_settings();
  $types = node_get_types('names');
  $options = array('0' => t('<Disabled>'), 'hidden' => t('<Hidden>')) + pp_image_presets_select();

  $form = array();
  $form['pp_img_extract_settings'] = array(
    '#title' => t('Teaser image extraction'),
    '#type' => 'fieldset',
    '#description' =>
      t('These settings affect how teaser images are extracted into a separate display field.') . '<br />' .
      t('If you select &lt;disabled&gt;, teaser image extraction is not performed. ') . '<br />' .
      t('If you select &lt;none&gt;, teaser image extraction is performed, but not displayed by default.'), 
    '#collapsible' => TRUE,
    '#tree' => TRUE,
  );

  foreach ($types as $type => $name) {
    $form['pp_img_extract_settings']['presets'][$type] = array(
      '#title' => t('Teaser image size for !type nodes', array('!type' => $name)),
      '#type' => 'select',
      '#description' => t('The default image size that teaser images should be displayed as.'),
      '#options' => $options,
      '#default_value' => isset($settings['presets'][$type]) ? $settings['presets'][$type] : '0',
    );
  }
  
  $form['pp_img_extract_settings']['weight'] = array(
    '#title' => t('Weight'),    
    '#type' => 'weight',
    '#description' => t('The weight of the extracted display field.'),
    '#default_value' => $settings['weight'],
  );
  $form['#submit'] = array('pp_ed_partial_cache_clear');
  return system_settings_form($form);
}
